about summary refs log tree commit diff
path: root/initscript/RedHat/NetworkManager
diff options
context:
space:
mode:
Diffstat (limited to 'initscript/RedHat/NetworkManager')
-rw-r--r--initscript/RedHat/NetworkManager104
1 files changed, 104 insertions, 0 deletions
diff --git a/initscript/RedHat/NetworkManager b/initscript/RedHat/NetworkManager
new file mode 100644
index 00000000..465c7611
--- /dev/null
+++ b/initscript/RedHat/NetworkManager
@@ -0,0 +1,104 @@
+#!/bin/sh
+#
+# NetworkManager:   NetworkManager daemon
+#
+# chkconfig: - 23 84
+# description:  This is a daemon for automatically switching network \
+#               connections to the best available connection.
+#
+# processname: NetworkManager
+# pidfile: /var/run/NetworkManager/NetworkManager.pid
+#
+### BEGIN INIT INFO
+# Provides: network_manager $network
+# Required-Start: messagebus
+# Required-Stop: messagebus
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: start and stop NetworkManager
+# Description: NetworkManager is a tool for easily managing network connections
+### END INIT INFO
+
+prefix=/usr
+exec_prefix=/usr
+sbindir=${exec_prefix}/sbin
+
+NETWORKMANAGER_BIN=${sbindir}/NetworkManager
+
+# Sanity checks.
+[ -x $NETWORKMANAGER_BIN ] || exit 1
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source network configuration
+. /etc/sysconfig/network
+
+# so we can rearrange this easily
+processname=NetworkManager
+servicename=NetworkManager
+pidfile=/var/run/NetworkManager/NetworkManager.pid
+
+RETVAL=0
+
+start()
+{
+	echo -n $"Setting network parameters... "
+	sysctl -e -p /etc/sysctl.conf >/dev/null 2>&1
+	success
+	echo
+
+	echo -n $"Starting NetworkManager daemon: "
+	daemon --pidfile $pidfile --check $servicename $processname --pid-file=$pidfile
+	RETVAL=$?
+	echo
+	if [ -n "${NETWORKWAIT}" ]; then 
+		[ -z "${LINKDELAY}" ] && LINKDELAY=10
+		echo -n $"Waiting for network..."
+		nm-online -q --timeout=$LINKDELAY || nm-online -q -x --timeout=30
+		[ "$?" = "0" ] && success "network startup" || failure "network startup"
+		echo
+		[ -n "${NETWORKDELAY}" ] && /bin/sleep ${NETWORKDELAY}
+	fi
+	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/$servicename
+}
+
+stop()
+{
+	echo -n $"Stopping NetworkManager daemon: "
+	killproc -p $pidfile $servicename
+	RETVAL=$?
+	echo
+	if [ $RETVAL -eq 0 ]; then
+		rm -f /var/lock/subsys/$servicename
+		rm -f $pidfile
+	fi
+}
+
+# See how we were called.
+case "$1" in
+	start)
+		start
+		;;
+	stop)
+		stop
+		;;
+	status)
+		status -p $pidfile $processname
+		RETVAL=$?
+		;;
+	restart)
+		stop
+		start
+		;;
+	condrestart)
+		if [ -f /var/lock/subsys/$servicename ]; then
+			stop
+			start
+		fi
+		;;
+	*)
+		echo $"Usage: $0 {start|stop|status|restart|condrestart}"
+		;;
+esac
+exit $RETVAL